Page MenuHomePhabricator

[Bug][Windows 7] unknown type name 'sigset_t'
Closed, ResolvedPublic1 Story Points

Description

File:
project_manager.c

Functions and type name :

sigset_t oldset, newset;
sigemptyset(&newset);
sigaddset(&newset, SIGCHLD);
sigprocmask(SIG_UNBLOCK, &newset, &oldset);

Problems:
../../src/bin/project_manager/project_manager.c: In function '_project_import_edc':
../../src/bin/project_manager/project_manager.c:552:4: error: unknown type name 'sigset_t'

sigset_t oldset, newset;
^

../../src/bin/project_manager/project_manager.c:554:23: error: 'SIGCHLD' undeclared (first use in this function)

sigaddset(&newset, SIGCHLD);
                   ^

../../src/bin/project_manager/project_manager.c:554:23: note: each undeclared identifier is reported only once for each function it appears in
../../src/bin/project_manager/project_manager.c: In function '_release_export':
../../src/bin/project_manager/project_manager.c:1605:4: error: unknown type name 'sigset_t'

sigset_t oldset, newset;
^

../../src/bin/project_manager/project_manager.c:1607:23: error: 'SIGCHLD' undeclared (first use in this function)

sigaddset(&newset, SIGCHLD);
i.furs created this task.Jul 14 2016, 7:36 AM
FurryMyad set the point value for this task to 1.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.Jul 15 2016, 2:29 AM

I just know what to do so it doesn't take much time to fix :D

FurryMyad moved this task from Doing to Done on the Eflete (Eflete 0.7) board.
rimmed closed this task as Resolved.Jul 18 2016, 4:13 AM